Subject: RE: Missing root cause: Internet has gotten more complex

From: "Elwyn Davies" <[email-masked]>
Date: Thu, 18 Sep 2003 15:30:28 +0100

Hi.

I think all right thinking IETF persons would have agree with your
statement:
"The Internet Has Become More Complex and Requirements placed on it by Users
have Changed".

But, is this a root cause?  I would say it is a statement of the environment
in which the IETF has to work. To me the IETF has problems due to
- not recognising what has happened because it was no longer clear about its
mission and as a result not changing what its mission is (or at least making
sure that its mission was still appropriate)
- not being well equipped to cope with the more complex problems that result
from the changed environment

These areas are, I believe, covered.  That being said I think it would be
useful to be more explicit about the changed environment both in the
introduction and in 2.1. Section 2.3 already mentions the more complex
interactions, etc, but maybe the wording could be improved.

There are a few more comments about each of the examples below.

In general, I don't think this is another root cause problem, but as we said
at the outset there are lots of ways to crumble the cookie - the question is
are you happy with adding some text to the Intro, 2.1 and 2.3 - and is
everybody else happy?

Regards,
Elwyn

> -----Original Message-----
> From: Thomas Narten [mailto:[email-masked]] 
> Sent: 17 September 2003 15:16
> To: [email-masked]
> Subject: Missing root cause: Internet has gotten more complex
> 
> 
> Looking at the root causes, they appear to be:
> 
> >    2.    Root Cause Problems  . . . . . . . . . . . . . . . 
> . . . . .  8
> >    2.1   Participants in the IETF do not have a Common
> >          Understanding of its Mission . . . . . . . . . . . 
> . . . . .  8
> >    2.2   The IETF does not Consistently use Effective Engineering
> >          Practices  . . . . . . . . . . . . . . . . . . . . 
> . . . . .  9
> >    2.3   The IETF has Difficulty Handling Large and/or Complex
> >          Problems . . . . . . . . . . . . . . . . . . . . . 
> . . . . . 12
> >    2.4   Three Stage Standards Hierarchy not properly 
> Utilized  . . . 13
> >    2.5   The IETF's Workload Exceeds the Number of Fully Engaged
> >          Participants . . . . . . . . . . . . . . . . . . . 
> . . . . . 14
> >    2.6   The IETF Management Structure is not Matched to the
> >          Current Size and Complexity of the IETF  . . . . . 
> . . . . . 15
> >    2.7   Working Group Practices can make Issue Closure 
> Difficult . . 20
> >    2.8   IETF Participants and Leaders are Inadequately Prepared
> >          for their Roles  . . . . . . . . . . . . . . . . . 
> . . . . . 21
> 
> 
> But there is at least one root cause that I don't see called out
> explicitly:
> 
>      The Internet Has Become More Complex and Requirements placed on
>      it by Users have Changed
> 
> Examples:
> 
> - increasing complexity of internet/protocols/deployments
> 
> - awareness that when deployed, protocols _will_ interact with each
>   other and there is a need to understand those interactions in order
>   to decide whether the protocol is reasonably well thought out and
>   that there will be no maor (bad) surpises when it becomes deployed.

The third para in 2.3 is intended to cover just these issues.  It might be
good to add in some words which make it clear that the Interent has
developed in just such a way as to make the interactions something that MUST
be dealt with all the time.
> 
> - desire to not have multiple protocols that do essentially the same
>   thing, thus, need to use other IETF components rather than point
>   solution. (but this view may not be shared by all of the community,
>   which gets back to Section 2.1)

I think the parenthesised comment is right - this is more about what the
philosophy/mission of the IETF ought to be, rather than being a manifestion
of any other problem.  Once upon a time, I thought WGs were supposed to
consider multiple options to the point of running code and then compare the
results - now we have only thought experiments and, in many case, prejudice.
  
> 
> - The Internet has changed over the last 15 years, with a different
>   level of expectations (e.g., part of economic infrastructure).
>   Internet is no longer a toy for running half-thought-out experiments
>   on a wide-scale, where the consequences may be very hard to fix
>   after the fact. Another way of stating this. Its one thing to run an
>   experiment of limited scope. It's another to put something into cell
>   phones, where the "experiment" involves millions of devices.
> 
>   note: this point may well also go back to lack of agreement on
>   mission/core values.

Right - see at the top.

> 
> - The "low hanging fruit" has been picked. The easiest problems to
>   solve have been solved. We're now dealing with the harder ones; it
>   should be no surprise that finding solutions to them is not as easy.

Indeed - but the problem seems to be we aren't good at solving the more
complex problems.

> Thomas

---

From: Keith Moore <[email-masked]>
Date: Thu, 18 Sep 2003 10:49:02 -0400

> But, is this a root cause? 

I think it is, and I think it might have implications for IETF's structure.
whether we should hold up the document to include it is a different question.